package libgl1-mesa-glx 7.2-1ubuntu1 failed to install/upgrade: poging tot overschrijven van `/usr/lib/libGL.so.1', wat ook in pakket nvidia-glx-177 zit

Bug #287470 reported by Balaam's Miracle on 2008-10-22
38
This bug affects 3 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-173 (Ubuntu)
High
Alberto Milone
Intrepid
Undecided
Unassigned
Jaunty
High
Alberto Milone
nvidia-graphics-drivers-177 (Ubuntu)
High
Alberto Milone
Intrepid
Undecided
Unassigned
Jaunty
High
Alberto Milone

Bug Description

Crash report automatically generated during daily update of Intrepid Beta using update-manager.
No further information available to me.

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 8.10
ErrorMessage: poging tot overschrijven van `/usr/lib/libGL.so.1', wat ook in pakket nvidia-glx-177 zit
NonfreeKernelModules: nvidia
Package: libgl1-mesa-glx 7.2-1ubuntu1
SourcePackage: mesa
Title: package libgl1-mesa-glx 7.2-1ubuntu1 failed to install/upgrade: poging tot overschrijven van `/usr/lib/libGL.so.1', wat ook in pakket nvidia-glx-177 zit
Uname: Linux 2.6.27-7-generic i686

Alberto Milone (albertomilone) wrote :

Did you install the driver through the installer from NVIDIA's website?

No, the driver was provided by Ubuntu's own repositories

Alberto Milone (albertomilone) wrote :

can you attach the output of this command?
dpkg-divert --list

diversion of /bin/sh to /bin/sh.distrib by dash
diversion of /usr/share/man/man1/sh.1.gz to /usr/share/man/man1/sh.distrib.1.gz by dash
diversion of /usr/share/vim/vim71/doc/help.txt to /usr/share/vim/vim71/doc/help.txt.vim-tiny by vim-runtime
diversion of /usr/share/vim/vim71/doc/tags to /usr/share/vim/vim71/doc/tags.vim-tiny by vim-runtime
diversion of /usr/share/dict/words to /usr/share/dict/words.pre-dictionaries-common by dictionaries-common
diversion of /usr/lib/libGL.so.1.2 to /usr/lib/nvidia/libGL.so.1.2.xlibmesa by nvidia-glx-177
diversion of /usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/nvidia/libglx.so.xserver-xorg-core by nvidia-glx-177
diversion of /usr/lib/xorg/modules/extensions/libGLcore.so to /usr/lib/nvidia/libGLcore.so.xlibmesa by nvidia-glx-177

Bill Roberts (wroberts) wrote :

I have the same problem for over a month now. I try it every day or so but nothing ever changes.

E: /var/cache/apt/archives/libgl1-mesa-glx_7.2-1ubuntu2_amd64.deb: trying to overwrite `/usr/lib/libGL.so.1', which is also in package nvidia-glx-177

Skymaker (lukastux) wrote :

Same problem here since last week...

dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/nvidia-glx-177_177.80-0ubuntu2_i386.deb (--unpack):
 Versuche, »/usr/lib/libGL.so.1« zu überschreiben, welches auch in Paket libgl1-mesa-glx ist

$ dpkg-divert --list | grep nvidia
diversion of /usr/lib/libGL.so.1.2 to /usr/lib/nvidia/libGL.so.1.2.xlibmesa by nvidia-glx-177
diversion of /usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/nvidia/libglx.so.xserver-xorg-core by nvidia-glx-177
diversion of /usr/lib/xorg/modules/extensions/libGLcore.so to /usr/lib/nvidia/libGLcore.so.xlibmesa by nvidia-glx-177

Alberto Milone (albertomilone) wrote :

Balaam, Skymaker: I think I have tracked down the cause of your problem. Thanks for reporting.

Bill: can you attach the output of this command?
dpkg-divert --list

Changed in mesa:
assignee: nobody → albertomilone
importance: Undecided → High
status: New → Triaged
Changed in nvidia-graphics-drivers-177:
assignee: nobody → albertomilone
importance: Undecided → High
status: New → In Progress
Alberto Milone (albertomilone) wrote :

SRU request:

The following changes to the nvidia drivers 173 and 177 will make sure that diversions on /usr/lib/libGL.so.1, /usr/lib/libGL.so.1.2, /usr/lib/xorg/modules/extensions/libglx.so are added without checking the existence of these files in Ubuntu 32 bit (as we already do in Ubuntu 64bit):
http://albertomilone.com/ubuntu/newlrm/pitti/nvidia-graphics-drivers-173_173.14.12-1-0ubuntu5.diff.gz
http://albertomilone.com/ubuntu/newlrm/pitti/nvidia-graphics-drivers-173_173.14.12-1-0ubuntu5.dsc

http://albertomilone.com/ubuntu/newlrm/pitti/nvidia-graphics-drivers-177_177.80-0ubuntu3.diff.gz
http://albertomilone.com/ubuntu/newlrm/pitti/nvidia-graphics-drivers-177_177.80-0ubuntu3.dsc

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nvidia-graphics-drivers-173:
status: New → Fix Committed
Changed in nvidia-graphics-drivers-177:
status: New → Fix Committed
Mike Basinger (mike.basinger) wrote :

Fixed problems I was having using tsclient with NVidia drivers.

Martin Pitt (pitti) wrote :

intrepid-proposed package copied to jaunty.

Changed in nvidia-graphics-drivers-177:
status: In Progress → Fix Released
alienexplorers (dfsjr47) wrote :

When will the 173.14.15 driver be available in Ubuntu for non-SSE cpu's.

alienexplorers [2008-12-28 3:40 -0000]:
> When will the 173.14.15 driver be available in Ubuntu for non-SSE cpu's.

Since this is a proprietary driver, we cannot tell you. But I wouldn't
hold my breath and hope that nVidia will release newer driver versions
without SSE again.

alienexplorers (dfsjr47) wrote :

The 173.14.15 driver is being built by nvidia with no SSE support. That is why I am in such a rush to get it.
My cpu can not support DDE which is why I am looking forward to this release.

alienexplorers (dfsjr47) wrote :

DDE in the last post should be SSE....sorry

Alberto Milone (albertomilone) wrote :

I know it supports SSE but we have to wait until the driver is released as stable.

Martin Pitt (pitti) wrote :

Those got copied to intrepid-updates yesterday.

Changed in nvidia-graphics-drivers-173:
status: Fix Committed → Fix Released
Changed in nvidia-graphics-drivers-177:
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2009-02-10
Changed in nvidia-graphics-drivers-173:
status: Triaged → Fix Released
alienexplorers (dfsjr47) wrote :

When will the new stable nvidia drivers (173 & 96 series) be available in intrepid. I have checked the repository and have not found any of the new files needed to load the drivers.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers